// bu dosyada oen iin gerekli ve nemli tanmlar vardr.

// klavye ile 0x60 giri/ck port adresi kullanlarak haberleilir
// bu port sadece klavyenin durumunu hakknda bilgi verir. herhangi geri
// besleme yaplmaz.
#define Klavye_GC_Adresi 0x60

// oen sifrelemeyi gerekletirmeden nce,
// dosyann gvenlii asndan .BCK uzantsyla yedek alr
// daha sonra oen .BCK dosyalarna hibir ilem yapmaz!
unsigned char Yedek_Uzantisi[]={".BCK"};

// Baslik_Kodu[]={"1a8r9f1ghpjznx4dk28at54erw0379fnvg78rt5iw12sa50"}
// oen iledii dosyalara, baz tantc kodlar ve aklayc
// bilgiler ekler. bu kodlar dosyann ba ile encoded-data ksm
// arasna yerletirilir. baslik kodu bu kodlara eriebilmek iin
// referans olarak kullanlr. Baslik kodu 50 karakter uzunluundadr. Anlamszdr.
unsigned char Baslik_Kodu[]={"1a8r9f1ghpjznx4dk28at54erw0379fnvg78rt5iw12sa50"};

// oEn;
// oen nin alm okoca's encoder dr. okoca benimdir ).
// oEn, ilerki gelimi versiyonlarna salanacak destek
// iin dnlm bir tantcdr.
unsigned char oEn[]={"oen v1.0 for MSDOS"};

// dosya tiplerinin tanmlar;
// birok dosya fomatnn balnda, kendisini tantan kodlar
// vardr. oen ifreledii dosyann bana, ifreledii dosya ile
// ayn trde bir blok ekler. Bu blok dosyann oen ile encode edildiini
// syler. oEn in bu balamda destekledii, dosya formatlar ve
// ID kodlar aadadr.
unsigned char
  Dosya_Uzantilari[][50]={ "EXE","(.EXE) altrlabilir EXE dosya.",   //1
			   "EXE","(.EXE) altrlabilir EXE dosya.",   //2
			   "EXE","(.EXE) altrlabilir EXE dosya.",   //3
			   "COM","(.COM) altrlabilir COM dosya.",   //4
			   "COM","(.COM) altrlabilir COM dosya.",   //5
			   "ZIP","(.ZIP) Sktrlm dosya.",          //6
			   "RAR","(.RAR) Sktrlm dosya.",          //7
			   "JPG","(.JPG) Sktrlm resim dosyas.",  //8
			   "GIF","(.GIF) Vektrel resim dosyas.",       //9
			   "BMP","(.BMP) Bit elem resim dosyas.",      //10
			   "PCX","(.PCX) Resim dosyas.",                //11
			   "PNG","(.PNG) Resim dosyas.",                //12
			   "XLS","(.XLS) MSEXCEL hesap tablosu dosyas.",//13
			   "DOC","(.DOC) MSWORD dkman dosyas.",       //14
			   "PPT","(.PPT) MSPowerPoint sunu dosyas.",    //15
			   "GZ", "(.GZ) Sktrlm dosya.",           //16
			   "OEN" }; // Dizi sonunu bildirir.

unsigned char
	   Dosya_ID[][10]={ {0x4D, 0x5A, 0},             //MZ  .exe        1
			    {0x4E, 0x45, 0},             //NE  .exe        2
			    {0x5A, 0x4E, 0},             //ZM  .exe        3
			    {0xE9, 0},	                 //    .com        4
			    {0xEB, 0},	                 //    .com        5
			    {0x50, 0x4B, 0},             //PK  .zip        6
			    {0x52, 0x61, 0x72, 0},       //Rar .rar        7
			    {0xFF, 0xD8, 0xFF, 0xE0, 0}, //    .jpg        8
			    {0x47, 0x49, 0x46, 0},       //GIF .gif        9
			    {0x42, 0x4D, 0},             //BM  .bmp        10
			    {0x0A, 0},                   //    .pcx        11
			    {0x89, 0},                   //    .png        12
			    {0},                         //    .xls        13
			    {0},                         //    .doc        14
			    {0},                         //    .ppt        15
			    {0x1F,0x8B, 0},              //    .gz         16
			  };


// oen programnda basit bir yapsal nesne mant
// kullanlmtr. nesnelerin zellikleri struct lar ile
// ayrntl bir ekilde tanmlanr, daha sonra herbir struct
// deikeni, kendisine ait olan alt yordama parametre olarak geirilir.
// Bylece daha anlalr ve hatasz programlar ksa srede
// gerekletirilmi olunur. en azndan ben yle dnyorum )
struct DUGME {
  unsigned char Acik,
		DurakNo,
		X,
		Y,
		Basildi,
		Etiket[76],
		ZeminRengi,
		GolgeRengi,
		AktifZeminRengi,
		PasifZeminRengi,
		AktifYaziRengi,
		PasifYaziRengi;
};

struct GIRIS_KUTUSU {
  unsigned char Acik,
		DurakNo,
		X,
		Y,
		Uzunluk,
		AktifEtiketYaziRengi,
		PasifEtiketYaziRengi,
		AktifEtiketZeminRengi,
		PasifEtiketZeminRengi,
		AktifYaziRengi,
		AktifZeminRengi,
		PasifYaziRengi,
		PasifZeminRengi,
		KurPoz,
		Etiket[80],
		Deger[80],
		Aciklama[80],
		ParKar;
};

struct TAMAM_KUTUSU {
  unsigned char Acik,
		DurakNo,
		X,
		Y,
		Isaretli,
		IsaretKarakteri,
		AktifYaziRengi,
		AktifZeminRengi,
		PasifYaziRengi,
		PasifZeminRengi,
		Etiket[80],
		Aciklama[80];
};

struct DOSYA_LISTE_KUTUSU {

  unsigned char Acik,
		DurakNo,
		X,
		Y,
		Yukseklik,
		AktifSatirNo,
		Yol[255],
		Filitre[12],
		Dosya[255],
		Etiket[80],
		EtiketYaziRengi,
		EtiketZeminRengi,
		KlasorYaziRengi,
		CerceveRengi,
		CerceveZeminRengi,
		ListeYaziRengi,
		ListeZeminRengi,
		AktifBantZeminRengi,
		AktifBantYaziRengi,
		PasifBantZeminRengi,
		PasifBantYaziRengi,
		KaydirmaCubuguRengi,
		KaydirmaCubuguZeminRengi;

  unsigned long int  ToplamDosyaSayisi,
		     ToplamKlasorSayisi,
		     ToplamDosyaBoyutu,
		     ListeBasiNo,
		     SeciliSatirNo;

  struct ffblk DOSYA;

};

struct MESAJ {
  unsigned char X,
		Y,
		ZeminRengi,
		YaziRengi,
		CerceveRengi,
		Baslik[80],
		BaslikZeminRengi,
		BaslikYaziRengi,
		Ileti[400];

  struct DUGME Dugme;
};